PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->getElementById()

DOMDocument->getElementById() -- Searches for an element with a certain id

## Description

class DOMDocument {
DOMElement getElementById ( string elementId )
}

This function is similar to DOMDocument->getElementsByTagName() but searches for an element with a given id.

According to the DOM standard this requires a DTD which defines the attribute ID to be of type ID. You need to validate your document with DOMDocument->validate() or DOMDocument->validateOnParse before using this function.

## Parameters

elementId

  The unique id value for an element.

## Return Values

Returns the DOMElement or `NULL` if the element is not found.

## 範例

範例 1. DOMDocument->getElementById() Example

`<?php $doc = new DomDocument; // We need to validate our document before refering to the id $doc->validateOnParse = true; $doc->Load('book.xml'); echo "The element whose id is books is: " . $doc->getElementById('books')->tagName . "\n"; ?>`

The above example will output:

    The element whose id is books is: chapter

## 參考

DOMDocument->getElementsByTagName()

前一頁 | 內容 | 下一頁
DOMDocument->createTextNode() | 上一層 | DOMDocument->getElementsByTagName()